Subject: Re: bug#74430: 30.0.92; pixel-scroll-precision-mode hiding Eshell prompt after some commands

From: martin rudalics <[email-masked]>
Date: Sat, 18 Jan 2025 11:49:32 +0100

> I think it would be the optimal solution to accept a value of
 > make-cursor-line-fully-visible that only applies to the next redisplay
 > after a pixel scrolling command is executed.

I think 'pixel-scroll-precision-mode' should make the cursor line fully
visible when (1) 'make-cursor-line-fully-visible' is non-nil and (2) the
cursor line is not "too" tall.  Where a cursor line might be too tall
when it is the only visible line in its window, for example.

I have no idea whether this could cause an irritating yo-yo effect where
redisplay always jumps between fully showing a nearly but not "too" tall
line and back - for example when resizing windows - but that would
remain to be seen.

martin